%define pypi_name tld

Name:       python-%{pypi_name}
Version:    0.12.3
Release:    %mkrel 1
Summary:    Extract the top-level domain (TLD) from the URL given
Group:      Development/Python
License:    GPLv2
URL:        https://pypi.org/project/tld
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled -egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/update-tld-names
%{python3_sitelib}/tld
%{python3_sitelib}/tld-%{version}-*.egg-info


%changelog
* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.12.3-1.mga8
+ Revision: 1649860
- new version 0.12.3

* Sun May 24 2020 guillomovitch <guillomovitch> 0.12.2-1.mga8
+ Revision: 1587248
- new version 0.12.2

* Sun Apr 26 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1572248
- new version 0.12.1

* Sun Apr 19 2020 guillomovitch <guillomovitch> 0.11.11-1.mga8
+ Revision: 1569842
- imported package python-tld

